| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Macros | Typedefs | Functions
jccolor.c File Reference
`#include "jinclude.h"`
`#include "jpeglib.h"`

Go to the source code of this file.

## Classes
struct | my_color_converter

## Macros
#define | JPEG_INTERNALS
#define | SCALEBITS 16 /* speediest right-shift on some machines */
#define | CBCR_OFFSET ((INT32) CENTERJSAMPLE << SCALEBITS)
#define | ONE_HALF ((INT32) 1 << (SCALEBITS-1))
#define | FIX(x) ((INT32) ((x) * (1L<<SCALEBITS) + 0.5))
#define | R_Y_OFF 0 /* offset to R => Y section */
#define | G_Y_OFF (1*(MAXJSAMPLE+1)) /* offset to G => Y section */
#define | B_Y_OFF (2*(MAXJSAMPLE+1)) /* etc. */
#define | R_CB_OFF (3*(MAXJSAMPLE+1))
#define | G_CB_OFF (4*(MAXJSAMPLE+1))
#define | B_CB_OFF (5*(MAXJSAMPLE+1))
#define | R_CR_OFF B_CB_OFF /* B=>Cb, R=>Cr are the same */
#define | G_CR_OFF (6*(MAXJSAMPLE+1))
#define | B_CR_OFF (7*(MAXJSAMPLE+1))
#define | TABLE_SIZE (8*(MAXJSAMPLE+1))

## Typedefs
typedef my_color_converter * | my_cconvert_ptr

## Functions
| rgb_ycc_start (j_compress_ptr cinfo)
| rgb_ycc_convert (j_compress_ptr cinfo, JSAMPARRAY input_buf, JSAMPIMAGE output_buf, JDIMENSION output_row, int num_rows)
| rgb_gray_convert (j_compress_ptr cinfo, JSAMPARRAY input_buf, JSAMPIMAGE output_buf, JDIMENSION output_row, int num_rows)
| cmyk_ycck_convert (j_compress_ptr cinfo, JSAMPARRAY input_buf, JSAMPIMAGE output_buf, JDIMENSION output_row, int num_rows)
| grayscale_convert (j_compress_ptr cinfo, JSAMPARRAY input_buf, JSAMPIMAGE output_buf, JDIMENSION output_row, int num_rows)
| null_convert (j_compress_ptr cinfo, JSAMPARRAY input_buf, JSAMPIMAGE output_buf, JDIMENSION output_row, int num_rows)
| null_method (j_compress_ptr cinfo)
| jinit_color_converter (j_compress_ptr cinfo)

## Macro Definition Documentation

#define B_CB_OFF (5*(MAXJSAMPLE+1))

Definition at line 74 of file jccolor.c.

#define B_CR_OFF (7*(MAXJSAMPLE+1))

Definition at line 77 of file jccolor.c.

#define B_Y_OFF (2*(MAXJSAMPLE+1)) /* etc. */

Definition at line 71 of file jccolor.c.

#define CBCR_OFFSET ((INT32) CENTERJSAMPLE << SCALEBITS)

Definition at line 59 of file jccolor.c.

#define FIX | ( |  | x | ) | ((INT32) ((x) * (1L<<SCALEBITS) + 0.5))

Definition at line 61 of file jccolor.c.

#define G_CB_OFF (4*(MAXJSAMPLE+1))

Definition at line 73 of file jccolor.c.

#define G_CR_OFF (6*(MAXJSAMPLE+1))

Definition at line 76 of file jccolor.c.

#define G_Y_OFF (1*(MAXJSAMPLE+1)) /* offset to G => Y section */

Definition at line 70 of file jccolor.c.

#define JPEG_INTERNALS

Definition at line 11 of file jccolor.c.

#define ONE_HALF ((INT32) 1 << (SCALEBITS-1))

Definition at line 60 of file jccolor.c.

#define R_CB_OFF (3*(MAXJSAMPLE+1))

Definition at line 72 of file jccolor.c.

#define R_CR_OFF B_CB_OFF /* B=>Cb, R=>Cr are the same */

Definition at line 75 of file jccolor.c.

#define R_Y_OFF 0 /* offset to R => Y section */

Definition at line 69 of file jccolor.c.

#define SCALEBITS 16 /* speediest right-shift on some machines */

Definition at line 58 of file jccolor.c.

#define TABLE_SIZE (8*(MAXJSAMPLE+1))

Definition at line 78 of file jccolor.c.

## Typedef Documentation

typedef my_color_converter* my_cconvert_ptr

Definition at line 25 of file jccolor.c.

## Function Documentation

cmyk_ycck_convert | ( | j_compress_ptr | cinfo,
|  | JSAMPARRAY | input_buf,
|  | JSAMPIMAGE | output_buf,
|  | JDIMENSION | output_row,
|  | int | num_rows
| ) |  |

Definition at line 225 of file jccolor.c.

grayscale_convert | ( | j_compress_ptr | cinfo,
|  | JSAMPARRAY | input_buf,
|  | JSAMPIMAGE | output_buf,
|  | JDIMENSION | output_row,
|  | int | num_rows
| ) |  |

Definition at line 280 of file jccolor.c.

jinit_color_converter | ( | j_compress_ptr | cinfo | ) |

Definition at line 352 of file jccolor.c.

null_convert | ( | j_compress_ptr | cinfo,
|  | JSAMPARRAY | input_buf,
|  | JSAMPIMAGE | output_buf,
|  | JDIMENSION | output_row,
|  | int | num_rows
| ) |  |

Definition at line 309 of file jccolor.c.

null_method | ( | j_compress_ptr | cinfo | ) |

Definition at line 341 of file jccolor.c.

rgb_gray_convert | ( | j_compress_ptr | cinfo,
|  | JSAMPARRAY | input_buf,
|  | JSAMPIMAGE | output_buf,
|  | JDIMENSION | output_row,
|  | int | num_rows
| ) |  |

Definition at line 186 of file jccolor.c.

rgb_ycc_convert | ( | j_compress_ptr | cinfo,
|  | JSAMPARRAY | input_buf,
|  | JSAMPIMAGE | output_buf,
|  | JDIMENSION | output_row,
|  | int | num_rows
| ) |  |

Definition at line 130 of file jccolor.c.

rgb_ycc_start | ( | j_compress_ptr | cinfo | ) |

Definition at line 86 of file jccolor.c.